| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csNormalMappingTools Class Reference
[Graphics]

Some helpers for stuff related to normal maps. More...

`#include <csgfx/normalmaptools.h>`

List of all members.

## Static Public Member Functions
static void | CalculateTangents (size_t numTriangles, const csTriangle *triangles, size_t numVertices, const csVector3 *vertices, const csVector3 *normals, const csVector2 *texcoords, csVector3 *outTangents, csVector3 *outBitangents)
| Calculate tangents & bitangents for a triangle mesh.

## Detailed Description

Some helpers for stuff related to normal maps.

Definition at line 39 of file normalmaptools.h.

## Member Function Documentation

static void csNormalMappingTools::CalculateTangents | ( | size_t | numTriangles,
|  | const csTriangle * | triangles,
|  | size_t | numVertices,
|  | const csVector3 * | vertices,
|  | const csVector3 * | normals,
|  | const csVector2 * | texcoords,
|  | csVector3 * | outTangents,
|  | csVector3 * | outBitangents |
| ) |  |  | `[static]`

Calculate tangents & bitangents for a triangle mesh.

The documentation for this class was generated from the following file:

- csgfx/normalmaptools.h